#!/python24/python.exe
                      
import os             
import string         
import cgi            
import sys            
import urllib2        
import urllib         
import traceback      
                      
#### LETTURA FILE into.txt ############
myfile = open("C:\PythonWeb\scripts\info.txt", "r")
bacino=myfile.readline(9)             
filedata=myfile.readline()            
data1=filedata[0:9]                   
data2=filedata[10:19]                 
dataFile=(data1+'_to_'+data2)         
filedata=myfile.readline()            
filedata=myfile.readline()            
studio=filedata[10:11]	        
                                      
##### SCRITTURA FILE PERCORSO FIGURE ##
nome_immagine='Marzenego-FerroviaVe-Ts.jpg'           
                                      
if studio == '1':                     
   path='Risultatimodello\\'+dataFile+'\\'+bacino[0:8]+'\\'+'MotoVario'+'\\'+nome_immagine
else:                                 
   path='StudiSensibilità\\'+dataFile+'\\'+bacino[0:8]+'\\'+'MotoVario'+'\\'+nome_immagine
                                      
info_out = open("C:\PythonWeb\scripts\\temp\percorso.txt", "w")
info_out.write(path)                  
info_out.close()                      
                                      
##### CHIAMATA ALL'ESEGUIBILE CHE CREA I GRAFICI ##
os.system( 'C:\PythonWeb\scripts\grafico.exe' )                                   
                                      
if studio == '1':                     
   percorso='http://localhost:8080/scripts/Risultatimodello/'+dataFile+'/'+bacino[0:8]+'/'+'MotoVario'+'/'+nome_immagine
else:                                 
   percorso='http://localhost:8080/scripts/StudiSensibilità/'+dataFile+'/'+bacino[0:8]+'/'+'MotoVario'+'/'+nome_immagine
                                      
os.startfile(percorso) 